Name:           perl-Test-Tester
Version:        0.109
Release:        1%{?_dist_release}
Summary:        Ease testing test modules built with Test::Builder
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Test-Tester/
Source0:        http://www.cpan.org/authors/id/F/FD/FDALY/Test-Tester-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::Builder)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

Vendor:         Project Vine
Distribution:   Vine Linux

%description
If you have written a test module based on Test::Builder then Test::Tester
allows you to test it with the minimum of effort.

%prep
%setup -q -n Test-Tester-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ARTISTIC CHANGES README TODO
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Nov 12 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.109-1
- updated to 0.109
- built with perl 5.16.3
- added Vendor and Distribution tag

* Sat Apr 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.107-2
- rebuild with perl-5.12.3

* Sat Nov  8 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.107-1
- new upstream release
- applied new versioning policy

* Tue Sep 25 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.106-1vl1
- initial build for Vine Linux

* Tue Sep 18 2007 Steven Pritchard <steve@kspei.com> 0.106-1
- Update to 0.106.
- BR Test::Builder.

* Wed Apr 18 2007 Steven Pritchard <steve@kspei.com> 0.104-2
- BR ExtUtils::MakeMaker.

* Tue Dec 26 2006 Steven Pritchard <steve@kspei.com> 0.104-1
- Update to 0.104.
- Use fixperms macro instead of our own chmod incantation.

* Sat Sep 16 2006 Steven Pritchard <steve@kspei.com> 0.103-2
- Fix find option order.

* Sat Apr 08 2006 Steven Pritchard <steve@kspei.com> 0.103-1
- Specfile autogenerated by cpanspec 1.64.
- Fix License.
